%             [NAGWare Gateway Generator]
%
%Copyright (c) 1993-94 by the Numerical Algorithms Group Ltd 2.0 
%
%mb04zd                                         <Default>
%
%a (:,:)                               real
%qg (:,:)                              real
%u (:,:)                               real
%info                                  integer
%compu (1)                             string   'i'
%n                                     integer  size(a,1)
%lda                                   integer  max(1,n)
%ldqg                                  integer  max(1,n)
%ldu                                   integer  max(1,n)
%
%[a,qg,u,<info>] = mb04zd(a,qg,u,<compu>)
%
%
 function [a,qg,u,info] = mb04zd(a,qg,u,compu)
%
%Set default input values for optional arguments
%
n = size(a,1);
%
lda = max(1,n);
%
ldqg = max(1,n);
%
ldu = max(1,n);
%
if nargin < 4, 
  compu = 'N'; 
  u = zeros(ldu,1);
end
%
%Call the MEX function
%
 [a,qg,u,info] = mb04zdg(a,qg,u,compu,n,lda,ldqg,ldu);
%
