%             [NAGWare Gateway Generator]
%
%Copyright (c) 1993-94 by the Numerical Algorithms Group Ltd 2.0 
%
%mb03sd                                         <Default>
%
%a (:,:)                               real
%qg (:,:)                              real
%wr (:)                                real
%wi (:)                                real
%info                                  integer
%jobscl (1)                            string   'b'
%n                                     integer  size(a,1)
%lda                                   integer  max(1,n)
%ldqg                                  integer  max(1,n)
%ldwork                                integer  max(1,n*n+n)
%
%[wr,wi,<info>] = mb03sd(a,qg,<jobscl>)
%
%
function [wr,wi,info] = mb03sd(a,qg,jobscl)
%
%Set default input values for optional arguments
%
 if nargin < 3 , jobscl = 'b'; end
%
n = size(a,1);
%
lda = max(1,n);
%
ldqg = max(1,n);
%
ldwork = max(1,n*n+n);
%
%
%Call the MEX function
%
 [wr,wi,info] = mb03sdg(a,qg,jobscl,n,lda,ldqg,ldwork);
%
