%             [NAGWare Gateway Generator]
%
%Copyright (c) 1993-94 by the Numerical Algorithms Group Ltd 2.0 
%
%mb04dy                                         <Default>
%
%a (:,:)                               real
%qg (:,:)                              real
%d (:)                                 real
%info                                  integer
%jobscl (1)                            string   's'
%n                                     integer  size(a,1)
%lda                                   integer  max(1,n)
%ldqg                                  integer  max(1,n)
%
%[a,qg,d,<info>] = mb04dy(a,qg,<jobscl>)
%
%
 function [a,qg,d,info] = mb04dy(a,qg,jobscl)
%
%Set default input values for optional arguments
%
 if nargin < 3 , jobscl = 's'; end
%
n = size(a,1);
%
lda = max(1,n);
%
ldqg = max(1,n);
%
%
%Call the MEX function
%
 [a,qg,d,info] = mb04dyg(a,qg,jobscl,n,lda,ldqg);
%
