      SUBROUTINE ZMEXFUN(NLHS,PL,NRHS,PR)
*
*     MAIN GATEWAY (VAX/VMS)
*
      INTEGER          C
      PARAMETER       (C=255)
      CHARACTER * (C)  Q
      INTEGER          NL    , NR   
*
      INTEGER          NLHS  , NRHS 
      INTEGER          PL(*) , PR(*)
*
      INTEGER          ZALREAL
      INTEGER          ZGETSCA
*
*     BUFFER POINTER AND SIZE
*
      INTEGER          B,BSIZE
      COMMON  /BUFFER/ B
      SAVE    /BUFFER/
*
*     UTILITY FUNCTIONS
*
      INTEGER          ZIDSET
*
      EXTERNAL         ZALREAL,ZGETSCA,ZGETSIZ,ZIDSET
*
      CHARACTER *(C*C) Q6
*
*     POINTERS TO ARRAYS
*
      INTEGER          A1,A2,A3,A4,A6
*
*     INTEGERS USED TO DIMENSION ARRAYS
*
      INTEGER          I7,I8,I9
*
      PARAMETER       (Q = 'mb04dy' , NL =4 , NR =6)
*
      PARAMETER (M=2048)
      CHARACTER*(M) NAMES
      CHARACTER*(30) PROCNM
      COMMON /ARGLST/ PROCNM,NAMES
      SAVE /ARGLST/
      EXTERNAL ZTEST
*
      NAMES='a,qg,jobscl,n,lda,ldqg'
      PROCNM='7mb04dy'
*
      CALL ZTEST(Q,NLHS,NRHS,NL,NR)
*
*     GET VALUES OF ALL INTEGER DIMENSIONS
*
      I7     = ZGETSCA (PR(4))
      I8     = ZGETSCA (PR(5))
      I9     = ZGETSCA (PR(6))
*
*     ALLOCATE SPACE FOR ALL ARRAY ARGUMENTS
*
*
      CALL ZGETSIZ(PR(1),B,N1)
*
      A1     = ZALREAL ((I8)*(N1))
*
      CALL ZGETSIZ(PR(2),B,N2)
*
      A2     = ZALREAL ((I9)*(N2))
      A3     = ZALREAL (I7)
      A4     = ZALREAL (I7)
*
      CALL ZGETSIZ(PR(3),M6,N6)
*
      A6     = (M6)*(N6)
*
*     ALLOCATE SPACE FOR BUFFER
*
      BSIZE  = MAX0   (1,(I8)*(N1),(I9)*(N2),(I7),(I7))
      B      = ZALREAL (BSIZE)
*
      CALL FCNMB04DY(NLHS,PL,NRHS,PR,%VAL(A1),%VAL(A2),%VAL(A3),
     +                 %VAL(A4),Q6(:A6))
*
      RETURN
      END
 
      SUBROUTINE FCNMB04DY(NLHS,PL,NRHS,PR,A1,A2,A3,A4,A6)
*
      INTEGER          P, C
      PARAMETER       (P = 0, C = 255)
*
*     NUMBER OF LHS AND RHS ARGUMENTS ( NL AND NR )
*
      INTEGER          NL , NR
      CHARACTER *(C)   Q
*
      PARAMETER       (Q = 'mb04dy' , NL =4 , NR =6)
*
*     INPUT / OUTPUT INTERFACE POINTERS
*
      INTEGER          NLHS  , NRHS
      INTEGER          PL(*) , PR(*)
*
*     UTILITY PROCEDURES
*
      EXTERNAL ZOUTI,ZOUTC,ZOUTZ,ZARG1,ZIND,ZINS,
     +         ZOUTR,ZOUTL,ZOUTX,ZINI,ZINC,ZINX,
     +         ZOUTD,ZOUTS,ZARG0,ZINR,ZINL,ZINZ,
     +         ZCHECK,MB04DY
*
*     REAL AND  IMAGINARY  POINTERS TO LHS ARGUMENTS
*
      INTEGER          RL(NL),IL(NL)
      DATA             RL,IL /NL*0,NL*0/
*     REAL AND  IMAGINARY  POINTERS TO RHS ARGUMENTS
*
      INTEGER          RR(NR),IR(NR)
*
*     LHS DATA TYPE
*
      INTEGER          FLAG(NL)
*
*     DIMENSIONS      (X,Y)  AND D = X*Y
*
      INTEGER          DL(NL),XL(NL),YL(NL)
      INTEGER          DR(NR),XR(NR),YR(NR),X(NR),Y(NR)
*
*     VARIABLES USED IN DATA TYPE CONVERSION
*
      INTEGER         B
      COMMON /BUFFER/ B
*
      COMMON  /YD40BM/ A7,A8,A9
*
*     LOCAL FORTRAN VARIABLES
*
      INTEGER          A5     
      INTEGER          A7     
      INTEGER          A8     
      INTEGER          A9     
      CHARACTER * (*)  A6     
      DOUBLE PRECISION A1     (*)
      DOUBLE PRECISION A2     (*)
      DOUBLE PRECISION A3     (*)
      DOUBLE PRECISION A4     (*)
*
*     DATA TYPE FOR LHS ARGUMENTS ( RE= 0 ,  IM = 1 )
*
      SAVE FLAG
      DATA FLAG       /0,0,0,0/
*
*     GET ARGUMENT DIMENSIONS AND POINTERS (RHS)
*
      CALL ZARG0(Q,P,PR,RR,IR,X,Y,DR,NR)
*
*     COPY MATLAB RHS (DIMENSION) INTEGERS TO FORTRAN
*                 ===
*
      CALL ZOUTI ( Q, P, 4    , A7   , DR, RR, IR, %VAL(B) )
      CALL ZOUTI ( Q, P, 5    , A8   , DR, RR, IR, %VAL(B) )
      CALL ZOUTI ( Q, P, 6    , A9   , DR, RR, IR, %VAL(B) )
*
*     GET SPECIFIED DIMENSION OF RHS ARGUMENTS
*
      CALL MB04DYR(XR,YR,DR,NR)
*
*     CHECK DIMENSION OF RHS ARGUMENTS
*
      CALL ZCHECK(Q,P,X,Y,XR,YR,DR,RR,NR)
*
*     COPY MATLAB RHS (NON-DIMENSION) ARGUMENTS TO FORTRAN
*                 ===
*
      CALL ZOUTD ( Q, P, 1    , A1   , DR, RR, IR)
      CALL ZOUTD ( Q, P, 2    , A2   , DR, RR, IR)
      CALL ZOUTS ( Q, P, 3    , A6   , PR)
*
*     GET DIMENSION OF LHS ARGUMENTS
*
      CALL MB04DYL(XL,YL,DL,X,Y,NL)
*
*     ALLOCATE SPACE AND GET POINTERS FOR LHS ARGUMENTS
*
      CALL ZARG1(PL,RL,IL,XL,YL,FLAG,NL)
*
*     CALL EXTERNAL FORTRAN PROCEDURE
*
      CALL   MB04DY(A6,A7,A1,A8,A2,A9,A3,A4,A5)
*
*     COPY FORTRAN OUTPUT ARRAYS TO MATLAB ARRAYS
*                  ======
      CALL ZIND ( A1    , 1   , DL, RL)
      CALL ZIND ( A2    , 2   , DL, RL)
      CALL ZIND ( A3    , 3   , DL, RL)
      CALL ZINI ( A5    , 4   , DL, RL, %VAL(B) )
*
      RETURN
      END
 
      SUBROUTINE MB04DYL(X,Y,Z,U,V,W)
*
*     THIS SUBROUTINE RETURNS THE DIMENSIONS OF THE
*     LHS VARIABLES USING THE INTEGER SCALARS WHICH
*     ARE PASSED THROUGH THE COMMON BLOCK
*
      INTEGER          Q,W,X(*),Y(*),Z(*),U(*),V(*)
*
      INTEGER I7,I8,I9
      COMMON  /YD40BM/ I7,I8,I9
*
      INTEGER  ZIDSET
      EXTERNAL ZIDSET
*
*
      X(1)     = I8
      Y(1)     = V(1)
*
      X(2)     = I9
      Y(2)     = V(2)
*
      X(3)     = I7
      Y(3)     = 1
*
      X(4)     = 1
      Y(4)     = 1
*
      DO 10 Q = 1 , W
         Z(Q) = X(Q) * Y(Q)
   10 CONTINUE
 
      RETURN
      END
 
      SUBROUTINE MB04DYR(X,Y,Z,W)
*
*     THIS SUBROUTINE RETURNS THE DIMENSIONS OF THE
*     RHS VARIABLES USING THE INTEGER SCALARS WHICH
*     ARE PASSED THROUGH THE COMMON BLOCK
*
*
      INTEGER          Q,W,X(*),Y(*),Z(*)
*
      INTEGER I7,I8,I9
      COMMON  /YD40BM/ I7,I8,I9
*
      X(1)     = I8
      Y(1)     = 0
*
      X(2)     = I9
      Y(2)     = 0
*
      X(3)     = 1
      Y(3)     = 1
*
      X(4)     = 1
      Y(4)     = 1
*
      X(5)     = 1
      Y(5)     = 1
*
      X(6)     = 1
      Y(6)     = 1
*
      DO 10 Q = 1 , W
         Z(Q) = X(Q) * Y(Q)
   10 CONTINUE
*
      RETURN
      END
 
